Package com.macrofocus.high_d.scatterplot.javafx

# Class JavaFXScatterPlotView<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>
com.macrofocus.high_d.scatterplot.javafx.JavaFXScatterPlotView<Row,Column>

All Implemented Interfaces:
  `ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

public class JavaFXScatterPlotView<Row,Column> extends AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotView

  `AbstractScatterPlotView.AbstractVisualLayerIDrawing`

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.scatterplot.ScatterPlotView

  `ScatterPlotView.PropertyType`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotView

  `canvas, model, properties, rangesScreenTransformCoordinator, screenTransform, timer, xGuide, yGuide`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXScatterPlotView(com.macrofocus.crossplatform.CPCanvas canvas, com.macrofocus.crossplatform.CPFactory<?,?,?,javafx.scene.paint.Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `MutableProperties`
  `getProperties()`
  `int`
  `getWidth()`
  `boolean`
  `isMaintainAspectRatio()`
  `boolean`
  `isShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `protected void`
  `refresh()`
  `protected void`
  `repaint()`
  `protected void`
  `scheduleUpdate()`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setMaintainAspectRatio(boolean maintainAspectRatio)`
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.
  `protected void`
  `updateAxisType()`

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotView

  `addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, createOverplots, getAntialiasing, getClosestRow, getColorTheme, getDisplayLabels, getGridThickness, getMarkerExtraSizeHighlight, getMarkerSize, getModel, getRegression, getRendering, getRows, getRubberBand, getScreenTransform, getShowColor, getShowFiltered, getShowGrid, getSizeProportion, getXGuide, getXRangeModel, getYGuide, getYRangeModel, isSelectionMode, populateOverplots, resetXAxis, resetYAxis, setAntialiasing, setColorTheme, setModel, setRendering, setSelectionMode, setShowFiltered, updateIntervals, zoom`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXScatterPlotView

    public JavaFXScatterPlotView(com.macrofocus.crossplatform.CPCanvas canvas, com.macrofocus.crossplatform.CPFactory<?,?,?,javafx.scene.paint.Color> factory)

- ## Method Details

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### getWidth

    public int getWidth()
    Specified by:
      `getWidth` in class `AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

  - ### getHeight

    public int getHeight()
    Specified by:
      `getHeight` in class `AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

  - ### scheduleUpdate

    protected void scheduleUpdate()
    Specified by:
      `scheduleUpdate` in class `AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

  - ### updateAxisType

    protected void updateAxisType()
    Specified by:
      `updateAxisType` in class `AbstractScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

  - ### isShowTiming

    public boolean isShowTiming()
    Description copied from interface: `ScatterPlotView`
    Returns whether information about refresh rate should be displayed.
    Returns:
      true to display refresh rate information, false otherwise

  - ### setShowTiming

    public void setShowTiming(boolean showTiming)
    Description copied from interface: `ScatterPlotView`
    Sets whether information about refresh rate should be displayed.
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)

  - ### setMaintainAspectRatio

    public void setMaintainAspectRatio(boolean maintainAspectRatio)

  - ### isMaintainAspectRatio

    public boolean isMaintainAspectRatio()

  - ### getProperties

    public MutableProperties getProperties()